.navbar {
    width: 100%;
    height: 98px;
    background-color: #171717;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 1rem;
    z-index: 50;
}

.navbar-logo h2 {
    color: #f4f4f4;
    font-size: 1.4rem;
    cursor: pointer;
}

.navbar-links {
    display: flex;
    list-style: none;
    align-items: center;
}

.navbar-links > li {
    padding-left: 1.5rem;
}

.navbar-links > li > a {
    text-decoration: none;
    color: #f4f4f4;
    font-size: 1.2rem;
    display: flex;
    align-items: center;
}

.navbar-links > li > a > span {
    display: flex;
    align-items: center;
    margin-left: 8px;
}

.cart_link {
    background: #333;
    padding: 10px;
    border-radius: 8px;
}

.cart_link:hover {
    background-color: #dd219e;
    color: #f4f4f4;
}

.cartlogo_badge {
    width: 30px;
    height: 30px;
    background: #f4f4f4;
    border-radius: 50%;
    margin-left: 8px;
    color: #171717;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 1rem;
}

.hamburger_menu {
    width: 30px;
    height: 30px;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.hamburger_menu > div {
    width: 100%;
    height: 3px;
    background: #f4f4f4;
}

.hamburger_menu:hover > div {
    background: #dd219e;
}

@media (max-width: 960px) {
    .navbar-links {
        display: none;
    }
    .hamburger_menu {
        display: flex;
    }
}

@media (max-width: 500px) {
    .navbar-logo h2 {
        font-size: 1rem;
    }
}